# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.1.0] - 2025-05-04
### Added
- Ability to load settings from `save.ini`.
- Support for customizable Save, Exit, and Reload hotkeys.
- Dynamic loading of hotkeys for browsing and playing sound files.
- Dispatcher system to handle multiple types of hotkey actions.
- Save function to persist current keys and paths into `save.ini`.
- Reload function to update hotkeys without restarting the application.
- Basic file browser dialog to assign new sound files.
- Sound player to play assigned sound files.
- Global initialization for keys, paths, and hotkey mappings.
- New modifiers: Ctrl for browsing sounds and Alt for playing sounds, both configurable through the INI file.

### Changed
- Refactored the entire codebase so that keys are no longer hardcoded.

### Deprecated
- None.

### Removed
- Removed all hardcoded keys like Numpad1, Numpad2 up to Numpad9.

### Fixed
- None.
```